Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162944 - htmlview and launchmail ignore the use of a KDE desktop
Summary: htmlview and launchmail ignore the use of a KDE desktop
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: htmlview
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 19:16 UTC by Eric R. Meyers
Modified: 2018-04-11 09:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 15:02:19 UTC


Attachments (Terms of Use)

Description Eric R. Meyers 2005-07-11 19:16:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The KDE panel has an 'htmlview' browser icon, and possibly a 'launchmail' email icon by default (I deleted the email icon a while back, because I use KMail).  From pressing the 'htmlview' browser icon, I get Mozilla-Firefox, and when I press on a mailto in the web browser, it runs 'launchmail', which brings up Evolution (as the last resort).

launchmail is full of error output in a KDE context, and I must modify the launchmail file to change the default (fallback to FC2) email client Evolution.


Version-Release number of selected component (if applicable):
htmlview-3.0.0-11

How reproducible:
Always

Steps to Reproduce:
1. Run KDE desktop environment
2. Open up a console
3. /usr/bin/launchmail
  

Actual Results:  [ermeyers@ermsrv01 ~]$ /usr/bin/launchmail
es menu class init
adding hook target 'source'

(evolution:31926): camel-WARNING **: Invalid root: '/home/ermeyers/.evolution/mail/local/Inbox.ibex.index'

(evolution:31926): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:31926): camel-WARNING **: block size: 1024 (1024) OK

(evolution:31926): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:31926): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:31926): camel-WARNING **: flags: unSYNC

(evolution:31926): camel-WARNING **: Invalid root: '/home/ermeyers/.evolution/mail/local/Drafts.ibex.index'

(evolution:31926): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:31926): camel-WARNING **: block size: 1024 (1024) OK

(evolution:31926): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:31926): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:31926): camel-WARNING **: flags: unSYNC

(evolution:31926): camel-WARNING **: Invalid root: '/home/ermeyers/.evolution/mail/local/Outbox.ibex.index'

(evolution:31926): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:31926): camel-WARNING **: block size: 1024 (1024) OK

(evolution:31926): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:31926): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:31926): camel-WARNING **: flags: unSYNC

(evolution:31926): camel-WARNING **: Invalid root: '/home/ermeyers/.evolution/mail/local/Sent.ibex.index'

(evolution:31926): camel-WARNING **: version: TEXT.000 (TEXT.000)

(evolution:31926): camel-WARNING **: block size: 1024 (1024) OK

(evolution:31926): camel-WARNING **: free: 0 (0 add size < 1024) OK

(evolution:31926): camel-WARNING **: last: 6144 (6144 and size: 1024) BAD

(evolution:31926): camel-WARNING **: flags: unSYNC

(evolution:31926): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(evolution:31926): Gtk-CRITICAL **: gtk_window_set_type_hint: assertion `!GTK_WIDGET_VISIBLE (window)' failed

(evolution:31926): Gtk-WARNING **: gtk_window_set_wmclass: shouldn't set wmclass after window is realized!

Then Evolution pops up.

Expected Results:  I want to configure it to give me KMail

Additional info:

Comment 1 Christian Iseli 2007-01-22 11:14:15 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Matěj Cepl 2007-07-18 17:24:38 UTC
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 3 Matěj Cepl 2007-08-28 15:02:19 UTC
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.


Note You need to log in before you can comment on or make changes to this bug.